PR_GET_UNALIGN(2const)

NAME
PR_GET_UNALIGN - get unaligned access control bits

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_UNALIGN, unsigned int *bits);

DESCRIPTION
Return unaligned access control bits, in the location pointed to by bits.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EFAULT
    bits is an invalid address.

STANDARDS
Linux.

HISTORY
See PR_SET_UNALIGN(2const).

SEE ALSO
prctl(2), PR_SET_UNALIGN(2const)